var prefix = 'https://www.lens.org/lens/search/scholar/list?q=author.affiliation.name.keyword:"'
var low_suffix = '" AND (author.affiliation.name.keyword:"Anhui University" OR author.affiliation.name.keyword:"Beijing Normal University" OR author.affiliation.name.keyword:"China Agricultural University" OR author.affiliation.name.keyword:"China University of Mining and Technology" OR author.affiliation.name.keyword:"Chongqing University of Posts and Telecommunications" OR author.affiliation.name.keyword:"East China Normal University" OR author.affiliation.name.keyword:"Fuzhou University" OR author.affiliation.name.keyword:"Hebei University" OR author.affiliation.name.keyword:"Kunming University of Science and Technology" OR author.affiliation.name.keyword:"Nanjing University of Posts and Telecommunications" OR author.affiliation.name.keyword:"Nankai University" OR author.affiliation.name.keyword:"North China University of Science and Technology" OR author.affiliation.name.keyword:"Northwest A%26F University" OR author.affiliation.name.keyword:"Renmin University of China" OR author.affiliation.name.keyword:"Shandong University of Technology" OR author.affiliation.name.keyword:"Shijiazhuang Tiedao University" OR author.affiliation.name.keyword:"Yunnan University")';
var medium_suffix = '" AND (author.affiliation.name.keyword:"Beijing Jiaotong University" OR author.affiliation.name.keyword:"China University of Geosciences (Wuhan)" OR author.affiliation.name.keyword:"Chinese Academy of Sciences" OR author.affiliation.name.keyword:"Chongqing University" OR author.affiliation.name.keyword:"Chongqing University of Technology" OR author.affiliation.name.keyword:"Dalian Maritime University" OR author.affiliation.name.keyword:"Dalian University of Technology" OR author.affiliation.name.keyword:"Donghua University" OR author.affiliation.name.keyword:"Fudan University" OR author.affiliation.name.keyword:"Guangdong University of Technology" OR author.affiliation.name.keyword:"Guilin University of Electronic Technology" OR author.affiliation.name.keyword:"Hangzhou Normal University" OR author.affiliation.name.keyword:"Harbin University of Science and Technology" OR author.affiliation.name.keyword:"Hebei University of Science and Technology" OR author.affiliation.name.keyword:"Hefei University of Technology" OR author.affiliation.name.keyword:"Harbin Institute of Technology" OR author.affiliation.name.keyword:"Heilongjiang University" OR author.affiliation.name.keyword:"Harbin University" OR author.affiliation.name.keyword:"Henan University of Science and Technology" OR author.affiliation.name.keyword:"Lanzhou University" OR author.affiliation.name.keyword:"Lanzhou University of Technology" OR author.affiliation.name.keyword:"Minzu University of China" OR author.affiliation.name.keyword:"Nanchang University" OR author.affiliation.name.keyword:"Nanjing Normal University" OR author.affiliation.name.keyword:"Nanjing Tech University" OR author.affiliation.name.keyword:"Nanjing University" OR author.affiliation.name.keyword:"Northeastern University" OR author.affiliation.name.keyword:"Ocean University of China" OR author.affiliation.name.keyword:"Shanghai University" OR author.affiliation.name.keyword:"Shenzhen University" OR author.affiliation.name.keyword:"South China University of Technology" OR author.affiliation.name.keyword:"Southern University of Science and Technology" OR author.affiliation.name.keyword:"Soochow University (Suzhou)" OR author.affiliation.name.keyword:"Tianjin Polytechnic University" OR author.affiliation.name.keyword:"Tongji University" OR author.affiliation.name.keyword:"University of Science and Technology of China" OR author.affiliation.name.keyword:"University of Shanghai for Science and Technology" OR author.affiliation.name.keyword:"Xiamen University" OR author.affiliation.name.keyword:"Xinjiang University" OR author.affiliation.name.keyword:"Xi’an University of Posts and Telecommunications" OR author.affiliation.name.keyword:"Yunnan Normal University" OR author.affiliation.name.keyword:"Zhengzhou University")'
var high_suffix = '" AND (author.affiliation.name.keyword:"Beijing University of Chemical Technology" OR author.affiliation.name.keyword:"Central South University" OR author.affiliation.name.keyword:"Changchun University of Science and Technology" OR author.affiliation.name.keyword:"Dalian Minzu University" OR author.affiliation.name.keyword:"Dalian Nationalities University" OR author.affiliation.name.keyword:"East China University of Technology" OR author.affiliation.name.keyword:"Hangzhou Dianzi University" OR author.affiliation.name.keyword:"Hunan University of Science and Technology" OR author.affiliation.name.keyword:"Jiangsu University" OR author.affiliation.name.keyword:"Nanchang Hangkong University" OR author.affiliation.name.keyword:"Peking University" OR author.affiliation.name.keyword:"Shanghai Jiao Tong University" OR author.affiliation.name.keyword:"Shenyang Aerospace University" OR author.affiliation.name.keyword:"Southeast University" OR author.affiliation.name.keyword:"Southwest University of Science and Technology" OR author.affiliation.name.keyword:"Sun Yat-sen University" OR author.affiliation.name.keyword:"Tianjin University" OR author.affiliation.name.keyword:"University of Science and Technology Beijing" OR author.affiliation.name.keyword:"University of South China" OR author.affiliation.name.keyword:"Wuhan University of Technology" OR author.affiliation.name.keyword:"Xiangtan University" OR author.affiliation.name.keyword:"Xi’an Jiaotong University" OR author.affiliation.name.keyword:"Yanshan University" OR author.affiliation.name.keyword:"Zhejiang University")'
var very_high_suffix = '" AND (author.affiliation.name.keyword:"Academy of Military Science" OR author.affiliation.name.keyword:"Aero Engine Corporation of China" OR author.affiliation.name.keyword:"Air Force Command College" OR author.affiliation.name.keyword:"Air Force Communication NCO Academy" OR author.affiliation.name.keyword:"Air Force Early Warning Academy" OR author.affiliation.name.keyword:"Air Force Engineering University" OR author.affiliation.name.keyword:"Air Force Flight Academy Shijiazhuang" OR author.affiliation.name.keyword:"Air Force Harbin Flight Academy" OR author.affiliation.name.keyword:"Air Force Logistics University" OR author.affiliation.name.keyword:"Air Force Medical University" OR author.affiliation.name.keyword:"Air Force Research Institute" OR author.affiliation.name.keyword:"Air Force Xi’an Flight Academy" OR author.affiliation.name.keyword:"Army Academy of Armored Forces" OR author.affiliation.name.keyword:"Army Academy of Artillery and Air Defense" OR author.affiliation.name.keyword:"Army Academy of Border and Coastal Defense" OR author.affiliation.name.keyword:"PLA Air Force Aviation University" OR author.affiliation.name.keyword:"Army Engineering University" OR author.affiliation.name.keyword:"Army Infantry Academy" OR author.affiliation.name.keyword:"Army Medical University" OR author.affiliation.name.keyword:"Army Military Transportation Academy" OR author.affiliation.name.keyword:"Chinese Army Research Institute" OR author.affiliation.name.keyword:"Army Service Academy" OR author.affiliation.name.keyword:"Army Special Operations Academy" OR author.affiliation.name.keyword:"Aviation Industry Corporation of China" OR author.affiliation.name.keyword:"Aviation University of Air Force" OR author.affiliation.name.keyword:"Beihang University" OR author.affiliation.name.keyword:"Beijing Electronic Science and Technology Institute" OR author.affiliation.name.keyword:"Beijing Institute of Technology" OR author.affiliation.name.keyword:"Beijing University of Posts and Telecommunications" OR author.affiliation.name.keyword:"China Aerodynamics Research and Development Center" OR author.affiliation.name.keyword:"China Aerospace Science and Industry Corporation" OR author.affiliation.name.keyword:"China Aerospace Science and Technology Corporation" OR author.affiliation.name.keyword:"China Coast Guard Academy" OR author.affiliation.name.keyword:"China Electronics Corporation" OR author.affiliation.name.keyword:"China Electronics Technology Group Corporation" OR author.affiliation.name.keyword:"China National Nuclear Corporation" OR author.affiliation.name.keyword:"China North Industries Group" OR author.affiliation.name.keyword:"China People’s Police University" OR author.affiliation.name.keyword:"China Shipbuilding Industry Corporation" OR author.affiliation.name.keyword:"China South Industries Group" OR author.affiliation.name.keyword:"China State Shipbuilding Corporation" OR author.affiliation.name.keyword:"Chinese Academy of Engineering Physics" OR author.affiliation.name.keyword:"Commercial Aircraft Corporation of China" OR author.affiliation.name.keyword:"Criminal Investigation Police University of China" OR author.affiliation.name.keyword:"Dalian Naval Academy" OR author.affiliation.name.keyword:"Engineering University of the CAPF" OR author.affiliation.name.keyword:"Harbin Engineering University" OR author.affiliation.name.keyword:"Harbin Institute of Technology" OR author.affiliation.name.keyword:"Huazhong University of Science and Technology" OR author.affiliation.name.keyword:"Hunan University" OR author.affiliation.name.keyword:"Information Engineering University" OR author.affiliation.name.keyword:"Institute of NBC Defense" OR author.affiliation.name.keyword:"Jiangnan Social University" OR author.affiliation.name.keyword:"Jilin University" OR author.affiliation.name.keyword:"Logistics University of the People’s Armed Police Force" OR author.affiliation.name.keyword:"Nanjing Army Command College" OR author.affiliation.name.keyword:"Nanjing Institute of Information Technology" OR author.affiliation.name.keyword:"Nanjing University of Aeronautics and Astronautics" OR author.affiliation.name.keyword:"Nanjing University of Science and Technology" OR author.affiliation.name.keyword:"National Defense University" OR author.affiliation.name.keyword:"National University of Defense Technology" OR author.affiliation.name.keyword:"Naval Command College" OR author.affiliation.name.keyword:"Naval Petty Officer Academy" OR author.affiliation.name.keyword:"Naval Research Academy" OR author.affiliation.name.keyword:"Naval University of Engineering" OR author.affiliation.name.keyword:"Navy Aviation University" OR author.affiliation.name.keyword:"Navy Logistics Academy" OR author.affiliation.name.keyword:"Navy Medical University" OR author.affiliation.name.keyword:"Navy Submarine Academy" OR author.affiliation.name.keyword:"North China Institute of Aerospace Engineering" OR author.affiliation.name.keyword:"North University of China" OR author.affiliation.name.keyword:"Northwest Institute of Nuclear Technology" OR author.affiliation.name.keyword:"Northwestern Polytechnical University" OR author.affiliation.name.keyword:"Officers College of the PAP" OR author.affiliation.name.keyword:"PAP NCO College" OR author.affiliation.name.keyword:"People’s Armed Police Command College" OR author.affiliation.name.keyword:"People’s Public Security University of China" OR author.affiliation.name.keyword:"Railway Police College" OR author.affiliation.name.keyword:"Rocket Force Command College" OR author.affiliation.name.keyword:"Rocket Force Research Institute" OR author.affiliation.name.keyword:"Rocket Force Sergeant School" OR author.affiliation.name.keyword:"Rocket Force University of Engineering" OR author.affiliation.name.keyword:"Shandong University" OR author.affiliation.name.keyword:"Shenyang Ligong University" OR author.affiliation.name.keyword:"Sichuan University" OR author.affiliation.name.keyword:"Space Engineering University" OR author.affiliation.name.keyword:"Special Police Academy" OR author.affiliation.name.keyword:"Tsinghua University" OR author.affiliation.name.keyword:"University of Electronic Science and Technology of China" OR author.affiliation.name.keyword:"University of International Relations" OR author.affiliation.name.keyword:"Wuhan University" OR author.affiliation.name.keyword:"Xidian University" OR author.affiliation.name.keyword:"Xi’an Technological University")'

function open_link(university, risk_level) {
    if (!university) {
        alert("Please enter a University.");
        return 1;
    }

    switch (risk_level) {
        case "very high":
            window.open(prefix + university + very_high_suffix);
            break;
        case "high":
            window.open(prefix + university + high_suffix);
            break;
        case "medium":
            window.open(prefix + university + medium_suffix);
            break;
        case "low":
            window.open(prefix + university + low_suffix);
            break;
    }
};

function provide_suggestion(value) {
    //setting datalist empty at the start of function
    //if we skip this step, same name will be repeated
    document.getElementById('datalist').innerHTML = '';

    //input query length
    for (const uni of university_list) {

        //comparing if input string is existing in tags[i] string 
        if (((uni.toLowerCase()).indexOf(value.toLowerCase())) > -1) {

            var node = document.createElement("option");
            var val = document.createTextNode(uni);
            node.appendChild(val);

            //creating and appending new elements in data list
            document.getElementById("datalist").appendChild(node);
        }
    }
}  